<template>
  <!-- 运输报警信息页面 -->
  <div class="transportationAlarm">
    <div class="top">
      <!-- <span class="top_title">运输订单号 : </span>
      <el-autocomplete
        popper-class="my-autocomplete"
        v-model="state"
        :fetch-suggestions="querySearch"
        placeholder="请输入内容"
        @select="handleSelect"
      >
        <i class="el-icon-edit el-input__icon" slot="suffix"> </i>

      </el-autocomplete>

      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button> -->
  </div>
  
    <dilTable v-bind.sync="option">
    </dilTable>
  </div>
</template>


<script>
export default {
  name: "transportationAlarm",
  data() {
    return {
      status: "",
      state: "",
      option: {       
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getTransportAbnormalInfo?apiId=129&orderNumber="+this.$route.query.orderNumber,
      },
    };
  },
  mounted() {
    this.restaurants = this.loadAll();
  },
  methods: {
    querySearch(queryString, cb) {
      var restaurants = this.restaurants;
      var results = queryString
        ? restaurants.filter(this.createFilter(queryString))
        : restaurants;
      cb(results);
    },
    createFilter(queryString) {
      return (restaurant) => {
        return (
          restaurant.value.toLowerCase().indexOf(queryString.toLowerCase()) ===
          0
        );
      };
    },
    },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 20px 30px;
  }
}
</style>